Name: connexion-libs
Version: 0.4.0
Release: alt2

Summary: Connexion supplementary libraries
License: GPL
Group: Development/Python
Packager: Peter V. Saveliev <peet@altlinux.org>

Source0: connexion-libs.tar.gz


Requires: python-module-xreadline = %version-%release
Requires: python-module-setproctitle = %version-%release

BuildPreReq: python-devel = %__python_version libncursesw-devel libreadline-devel setproctitle-devel

%package -n python-module-xreadline
Summary: Connexion eXtended readline library
Group: Development/Python
License: GPL
Requires: python = %__python_version

%package -n python-module-setproctitle
Summary: Connexion setproctitle library
Group: Development/Python
License: GPL
Requires: python = %__python_version

%description 
This package provides Connexion-specific libraries

%description -n python-module-xreadline
eXtended readline library for Connexion project

%description -n python-module-setproctitle
Setproctitle library for Connexion project

%prep
%setup -q -c %name-%version-%release

%build
make

%install
install -D -m 644 setproctitle.so %buildroot/%python_sitelibdir/setproctitle.so
install -D -m 644 xreadline.so %buildroot/%python_sitelibdir/xreadline.so

%files

%files -n python-module-xreadline
%python_sitelibdir/xreadline.so

%files -n python-module-setproctitle
%python_sitelibdir/setproctitle.so

%changelog
* Tue Apr 24 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.0-alt2
- spec has been changed to satisfy the python policy

* Mon Apr 23 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.0-alt1
- first build

